trust-store: core::trust::CachedAgent Class Reference

trust-store 2.0.0 Provides a common implementation of a trust store to be used by trusted helpers.

Classes | Public Types | Public Member Functions | List of all members
core::trust::CachedAgent Class Reference

An agent implementation that uses a trust store instance to cache results. More...

`#include <cached_agent.h>`

Inheritance diagram for core::trust::CachedAgent:
Collaboration diagram for core::trust::CachedAgent:

## Classes
struct | Configuration
| Creation time parameters. More...
struct | Reporter
| Abstract capturer of internal events for post-mortem debugging/analysis purposes. More...

## Public Types
typedef std::shared_ptr< CachedAgent > | Ptr
| To save some typing. More...

## Public Member Functions
| CachedAgent (const Configuration &configuration)
| CachedAgent creates a new agent instance. More...
Request::Answer | authenticate_request_with_parameters (const core::trust::Agent::RequestParameters &parameters) override
| From core::trust::Agent. More...

## Detailed Description

An agent implementation that uses a trust store instance to cache results.

Definition at line 29 of file cached_agent.h.

## Member Typedef Documentation

## ◆ Ptr

typedef std::shared_ptr<CachedAgent> core::trust::CachedAgent::Ptr

To save some typing.

Definition at line 33 of file cached_agent.h.

## Constructor & Destructor Documentation

## ◆ CachedAgent()

core::trust::CachedAgent::CachedAgent | ( | const Configuration & | configuration | ) |

CachedAgent creates a new agent instance.

Parameters

  configuration | Specifies the actual agent and the store.

Exceptions

  std::logic_error | if either the agent or the store are null.

## Member Function Documentation

## ◆ authenticate_request_with_parameters()

Request::Answer core::trust::CachedAgent::authenticate_request_with_parameters | ( | const core::trust::Agent::RequestParameters & | parameters | ) |
| overridevirtual

From core::trust::Agent.

Implements core::trust::Agent.

The documentation for this class was generated from the following file:

- /build/trust-store-git/src/trust-store/include/core/trust/cached_agent.h